#include <windows.h>

LRESULT CALLBACK WindowFunc (HWND, UINT, WPARAM, LPARAM);
char szWinName[]="My";

int WINAPI WinMain (HINSTANCE hThisInst, HINSTANCE hPrevInst, LPSTR lpszArgs, int nWinMode)
{
	HWND hwnd;
	WNDCLASSEX wcl;

	wcl.hInstance=hThisInst;
	wcl.lpszClassName=szWinName;
	wcl.lpfnWndProc=WindowFunc;
	wcl.style=0;
	wcl.cbSize=sizeof(WNDCLASSEX);
	wcl.hIcon=LoadIcon(NULL,IDI_APPLICATION);
	wcl.hIconSm=LoadIcon(NULL,IDI_ASTERISK);
	wcl.hCursor=LoadCursor(NULL,IDC_ICON);
	wcl.lpszMenuName="IDR_MENU1";
	wcl.cbClsExtra=0;
	wcl.cbWndExtra=0;
	wcl.hbrBackground=(HBRUSH)GetStockObject(WHITE_BRUSH);

	if (!RegisterClassEx(&wcl)) return 0;

	hwnd=CreateWindow(szWinName,"    1",WS_OVERLAPPEDWINDOW,10,10,600,400,HWND_DESKTOP,NULL,hThisInst,NULL);
	
	ShowWindow(hwnd,SW_SHOW);
	MSG msg;

	while (GetMessage(&msg,NULL,0,0))
	{
		TranslateMessage(&msg);
		DispatchMessage(&msg);
	}
	return (msg.wParam);
}

LRESULT CALLBACK WindowFunc (HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	char str[40];
	int xPos,yPos;
	switch(message)
	{
	case WM_DESTROY:
		PostQuitMessage(0);
		break;
	case WM_LBUTTONDOWN:
		if (MessageBox(hwnd,"   .\n  ?","Message",MB_ICONQUESTION|MB_YESNO)==IDYES)
		{
			xPos=LOWORD(lParam);
			yPos=HIWORD(lParam);
			wsprintf(str,"  :\n X=%d; Y=%d",xPos,yPos);
			MessageBox(hwnd,str,"Left Button",MB_OK|MB_ICONEXCLAMATION);
		}
		break;
	case WM_RBUTTONDOWN:
		xPos=LOWORD(lParam);
		yPos=HIWORD(lParam);
		wsprintf(str," :\n X=%d; Y=%d",xPos,yPos);
		MessageBox(hwnd,str,"Right Button",MB_OK|MB_ICONEXCLAMATION);
		break;
	default:
		return DefWindowProc(hwnd,message,wParam,lParam);
	}
return 0;
}