#include <windows.h>

 LRESULT CALLBACK WindowFunc (HWND, UINT, WPARAM, LPARAM);
 char szWinName[]=" Paint";
 
 HDC memdc;			//  
 HBITMAP hbit;		//   
 HBRUSH hbrush;		//  
 HBRUSH hOldbrush;	//  
 HPEN hRedpen;		//  
 HPEN hOldpen;		//  
  int col1=1;		//    
  int col2=1;		//    
  int maxX,maxY;	// 
  
  int x=0;
  int y=1;
  
  int x1=350, y1=250, x2=350, y2=250;

  int WINAPI WinMain (HINSTANCE hThisInst, HINSTANCE hPrevInst, LPSTR lpszArgs, int nWinMode)
{
	HWND hwnd;		// 
	MSG msg;		//
	WNDCLASSEX wcl;	//"" 

	wcl.hInstance=hThisInst;		//  
	wcl.lpszClassName=szWinName;	//  "" 
	wcl.lpfnWndProc=WindowFunc;		// 
	wcl.style=0;					//  
	wcl.cbSize=sizeof(WNDCLASSEX);	// 
	wcl.hIcon=LoadIcon(NULL,IDI_APPLICATION);	// 
	wcl.hIconSm=LoadIcon(NULL,IDI_WINLOGO);		// 
	wcl.hCursor=LoadCursor(NULL,IDC_ARROW);		// 
	wcl.lpszMenuName=NULL;			//  
	wcl.cbClsExtra=0;				//  
	wcl.cbWndExtra=0;				
									//   
	wcl.hbrBackground=(HBRUSH)GetStockObject(WHITE_BRUSH);

		//  
	if (!RegisterClassEx(&wcl)) return 0;
		// 
	hwnd=CreateWindow(szWinName,	// "" 
		             "MY_PAINT",	// 
    	    WS_OVERLAPPEDWINDOW,	//:  
			      CW_USEDEFAULT,	// X -  
			      CW_USEDEFAULT,	// Y -   
				  CW_USEDEFAULT,	// -  
				  CW_USEDEFAULT,	// -  
				   HWND_DESKTOP,	//  
				           NULL,	// 
					  hThisInst,	//   
					       NULL		//  
					  );
		// 
	ShowWindow(hwnd,SW_SHOWMAXIMIZED);
	UpdateWindow(hwnd);
		// 
	while (GetMessage(&msg,NULL,0,0))
	{
	 TranslateMessage(&msg);
	 DispatchMessage(&msg);
	}
return (msg.wParam);
}

LRESULT CALLBACK WindowFunc (HWND hwnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	int xPos=350, yPos=250;	 //  
	char str[4]={""};		 //  
	HDC hdc;				 //   
	PAINTSTRUCT paintstruct; //-  
	COLORREF color;			 // 
	int obj;				 //  
	
	switch(message)
	{
	 case WM_CREATE:
		
		maxX=GetSystemMetrics(SM_CXSCREEN);
		maxY=GetSystemMetrics(SM_CYSCREEN); 
		hdc=GetDC(hwnd);
		memdc=CreateCompatibleDC(hdc);
		hbit=CreateCompatibleBitmap(hdc,maxX,maxY);
		SelectObject(memdc,hbit);
		hbrush=(HBRUSH)GetStockObject(LTGRAY_BRUSH);
		SelectObject (memdc,hbrush);
		PatBlt(memdc,0,0,maxX,maxY,PATCOPY);
		hRedpen=CreatePen(PS_SOLID,2,RGB(255,0,0));
		ReleaseDC(hwnd,hdc);

		obj=(col2==1?GRAY_BRUSH:WHITE_BRUSH);
		hOldbrush=(HBRUSH) SelectObject(memdc,GetStockObject(obj));
		hOldpen=(HPEN)SelectObject(memdc,hRedpen);
		Rectangle(memdc,xPos,yPos,xPos+110,yPos+110);
		SelectObject(memdc,hOldpen);
		if (col2)col2=0;else col2=1;
		color =(col1==1?RGB(0,250,0):RGB(0,250,0)|RGB(0,250,250));
		hbrush=(HBRUSH)CreateSolidBrush(color);
		SelectObject(memdc,hbrush);
		Ellipse(memdc,xPos+18,yPos+18,xPos+90,yPos+90);
		DeleteObject(hbrush);
		SelectObject(memdc,hOldbrush);
		if (col1)col1=0;
		else col1=1;
		InvalidateRect(hwnd,NULL,0);
			
	 break;
	 
	 case WM_LBUTTONDOWN:
	    x1=x1-10;
		y1=y1-10;
		x2=x2+10;
		y2=y2+10; 
		
		hbrush=(HBRUSH)GetStockObject(LTGRAY_BRUSH);
	    SelectObject (memdc,hbrush);
	    PatBlt(memdc,0,0,maxX,maxY,PATCOPY);
		
		obj=(col2==1?GRAY_BRUSH:WHITE_BRUSH);
		hOldbrush=(HBRUSH) SelectObject(memdc,GetStockObject(obj));
		hOldpen=(HPEN)SelectObject(memdc,hRedpen);
		Rectangle(memdc,x1,y1,x2+110,y2+110);
		SelectObject(memdc,hOldpen);
		if (col2)col2=0;else col2=1;
		color =(col1==1?RGB(0,250,0):RGB(0,250,0)|RGB(0,250,250));
		hbrush=(HBRUSH)CreateSolidBrush(color);
		SelectObject(memdc,hbrush);
		Ellipse(memdc,x1+18,y1+18,x2+90,y2+90);
		SelectObject(memdc,hbit);
		hbrush=(HBRUSH)GetStockObject(LTGRAY_BRUSH);
		DeleteObject(hbrush);
		if (col1)col1=0;
		else col1=1;
		InvalidateRect(hwnd,NULL,0);
	break;
    
	case WM_RBUTTONDOWN:
	    x1=x1+10;
		y1=y1+10;
		x2=x2-10;
		y2=y2-10; 
					
		hbrush=(HBRUSH)GetStockObject(LTGRAY_BRUSH);
	    SelectObject (memdc,hbrush);
	    PatBlt(memdc,0,0,maxX,maxY,PATCOPY);
				
		obj=(col2==1?GRAY_BRUSH:WHITE_BRUSH);
		hOldbrush=(HBRUSH) SelectObject(memdc,GetStockObject(obj));
		hOldpen=(HPEN)SelectObject(memdc,hRedpen);
		Rectangle(memdc,x1,y1,x2+110,y2+110);
		SelectObject(memdc,hOldpen);
		if (col2)col2=0;else col2=1;
		color =(col1==1?RGB(0,250,0):RGB(0,250,0)|RGB(0,250,250));
		hbrush=(HBRUSH)CreateSolidBrush(color);
		SelectObject(memdc,hbrush);
		Ellipse(memdc,x1+18,y1+18,x2+90,y2+90);
		
		SelectObject(memdc,hbrush);
		Ellipse(memdc,x1+18,y1+18,x2+90,y2+90);
		SelectObject(memdc,hbit);
		hbrush=(HBRUSH)GetStockObject(LTGRAY_BRUSH);
		DeleteObject(hbrush);
		if (col1)col1=0;
		else col1=1;
		InvalidateRect(hwnd,NULL,0);
	break;

	case WM_PAINT:
		hdc=BeginPaint(hwnd,&paintstruct);
		BitBlt(hdc,0,0,maxX,maxY,memdc,0,0,SRCCOPY);
		EndPaint(hwnd,&paintstruct);
	break;
    
	case WM_DESTROY:
		DeleteObject(hRedpen);
		DeleteDC(memdc);
		PostQuitMessage(0);
	break;
	
	default:
		return DefWindowProc(hwnd,message,wParam,lParam);
	}
return 0;
}
